@echo off

rem ===============================
rem pythonスクリプトのパスを設定
rem ===============================
set pandoc_exe=g:\pandoc
set script_pptx2md=..\download\tkprog_textbook\converter\pptx2md.py
set script_pandoc=..\download\tkprog_textbook\\converter\pandoc.py

rem ===============================
rem スライドPowerPointファイル名の拡張子を除いた部分
rem ===============================
set prefix=チュートリアル-結晶学01-基本格子とブラべ格子


rem ===============================
rem スライドPowerPointファイルからMarkdownファイルを作成
rem ===============================
set cmd_pptx2md=python %script_pptx2md% -i %prefix%.pptx -o %prefix%.md
echo.
echo Run [%cmd_pptx2md%]
%cmd_pptx2md%

rem ===============================
rem どのようなMarkdownファイルを作成されたか、MS-Wordファイルに変換して確認
rem ===============================
set cmd_pandoc=python %script_pandoc% --pandoc_path "%pandoc_exe%" --convert docx --infile %prefix%.md 
echo.
echo Run [%cmd_pandoc%]
%cmd_pandoc%
